component-section(datetimestart='2021-12-14T19:45', minutesneeded='105', istopmost='true')
  div(slot='title') Recursie en algoritmeontwerp
  p.bron
    a(href='#sec_8') Recursie en algoritmeontwerp
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-criterion(codes='["procedure-recursie"]')
        | Je volgt een procedure om recursie te traceren.
      component-criterion(codes='["ontwikkeling-recursie"]')
        | Je programmeert een recursieve functie uit.
  component-section(datetimestart='2021-12-14T19:45', minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-12-14T19:50', minutesneeded='20')
    div(slot='title') Recursie
    ul
      li
        p
          | Samenvattende uitleg over recursie met
          |
          a(href='https://visualgo.net/en/recursion') VisuAlgo: Recursion tree en Recursion DAG
          | .
      li
        p Het debuggen van recursie.
  component-section(datetimestart='2021-12-14T20:10', minutesneeded='30')
    div(slot='title') Algoritme dat de deelrij met maximale som vindt
    ul
      li
        p.bron
          a(href='https://web.cs.ucdavis.edu/~bai/ECS122A/Notes/Maxsubarray.pdf') The maximum-subarray problem
        p
          a(href='https://gitlab.com/han-aim/dt-sd-asd/adp/max_deelrij') Voorbeeld van een algoritme dat de deelrij met maximale som vindt in Rust
          | .
  component-section(datetimestart='2021-12-14T20:40', minutesneeded='40')
    div(slot='title') Zelf (samen)werken
  component-section(datetimestart='2021-12-14T21:20', minutesneeded='10')
    div(slot='title') Afronding
